Subject: Re: bug#1405: detached GTK+ tool bar

From: Jan Djärv <[email-masked]>
Date: Mon, 24 Nov 2008 22:41:14 +0100

Chong Yidong skrev:
> "Jan D." <[email-masked]> writes:
> 
>>> Does this mean you don't expect to come up with a fix for the
>>> "shrinking frame" bug?  (Unfortunately, I don't know enough to do
>>> more than ask...)
>> It is first on my list of bugs to fix.  Unfortunately it is a race
>> condition and I haven't found a foolproof solution yet.  I have let
>> this issue rest for a while, I need to find a new approach I think.
> 
> Is this the window size hints race condition we discussed a while back?
> 

Yes, but a variant of it that does not only occur at startup.

	Jan D.